# Introduction

Data is an important asset of an organization and metadata is the key to unlock the value from that asset. It provides crucial context to turn data into information and powers not just the current limited use cases of data discovery, and governance, but also emerging use cases related to data quality, observability, and most importantly people collaboration. 

Poorly organized metadata is preventing organizations from realizing the full potential of data. Metadata is incorrect, inconsistent, stale, often missing, and fragmented in silos across various disconnected tools in proprietary formats obscuring a holistic picture of data.

**OpenMetadata is an Open standard for metadata with a centralized metadata store that unifies all the data assets and metadata end-to-end to power data discovery, user collaboration,  and tool interoperability.** 

OpenMetadata includes the following:

* **Metadata schema specifications** - defines core abstractions and vocabulary for metadata with Types, Entities, Relationships between entities
* **Metadata APIs** - for producing and consuming metadata
* **Ingestion framework** - for integrating tools and ingesting metadata to the metadata store
* **Metadata store** - stores metadata graph that connects data assets, user and tool generated metadata 
* **Data collaboration workspace** - for users to discover, and collaborate on data
* **Bots for automation** - to automate mundane data tasks





  


